javax.faces.component.html

## Enum HtmlOutputText.PropertyKeys

- java.lang.Object
- - java.lang.Enum<HtmlOutputText.PropertyKeys>
  - - javax.faces.component.html.HtmlOutputText.PropertyKeys

- All Implemented Interfaces:
    Serializable, Comparable<HtmlOutputText.PropertyKeys>
  Enclosing class:
    HtmlOutputText

      protected static enum HtmlOutputText.PropertyKeys
      extends Enum<HtmlOutputText.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `dir`
    `escape`
    `lang`
    `role`
    `style`
    `styleClass`
    `title`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static HtmlOutputText.PropertyKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HtmlOutputText.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### dir

          public static final HtmlOutputText.PropertyKeys dir

    - #### escape

          public static final HtmlOutputText.PropertyKeys escape

    - #### lang

          public static final HtmlOutputText.PropertyKeys lang

    - #### role

          public static final HtmlOutputText.PropertyKeys role

    - #### style

          public static final HtmlOutputText.PropertyKeys style

    - #### styleClass

          public static final HtmlOutputText.PropertyKeys styleClass

    - #### title

          public static final HtmlOutputText.PropertyKeys title

  - ### Method Detail

    - #### values

          public static HtmlOutputText.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HtmlOutputText.PropertyKeys c : HtmlOutputText.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HtmlOutputText.PropertyKeys valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<HtmlOutputText.PropertyKeys>`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.